% Code to solve instances from
% G. Pataki. On positive duality gaps in semidefinite programming. arXiv:1812.11796.

disp('Messy with infinite duality gap:');
for j = 2:6
    eval(['load gap_single_inf_messy/gap_single_inf_messy_',num2str(j),'.mat']);
    [OutcomeP,Xout,PO,OutcomeD,Sout,yout,DO] = SDPsolver(A,b,c,2^(j-1),1,1);
    disp(['Instance ',num2str(j)]);
    if OutcomeP == 0
        disp('  Primal outcome: strictly feasible');
    elseif OutcomeP == 1
        disp('  Primal outcome: feasible but not strictly feasible');
    else
        disp('  Primal outcome: infeasible');
    end;
    disp(['  Primal optimal: ',num2str(PO)]);
    if OutcomeD == 0
        disp('  Dual outcome: strictly feasible');
    elseif OutcomeD == 1
        disp('  Dual outcome: feasible but not strictly feasible');
    else
        disp('  Dual outcome: infeasible');
    end;
    disp(['  Dual optimal: ',num2str(DO)]);
    disp(' ');
end;

